General.NumThreads = 8;
// SetFactory("OpenCASCADE"); // or "Build-in"

Merge "geometry.brep";

Transfinite Surface {1};
Transfinite Surface {2};
Transfinite Surface {3};
Transfinite Surface {4};
Transfinite Surface {5};
Transfinite Surface {6};
Transfinite Volume{1};

Geometry.Tolerance = 1e-06;

Mesh.CharacteristicLengthMax = 5.0;
Mesh.CharacteristicLengthMin = 2.5;
Mesh.MeshSizeFromCurvature = 12;

Mesh.ElementOrder = 1;
Mesh.Optimize = 0;
Mesh.OptimizeNetgen = 0;
Mesh.HighOrderOptimize = 0; // (0=none, 1=optimization, 2=elastic+optimization, 3=elastic, 4=fast curving)

Mesh.Algorithm = 1;              // (1=MeshAdapt, 2=Automatic, 5=Delaunay, 6=Frontal, 7=BAMG, 8=DelQuad, 9=Packing Parallelograms)
Mesh.Algorithm3D = 1;            // (1=Delaunay, 2=New Delaunay, 4=Frontal, 7=MMG3D, 9=R-tree, 10=HTX)
Mesh.SubdivisionAlgorithm = 2;   // (0: none, 1: all quadrangles, 2: all hexahedra, 3: barycentric)
Mesh.RecombinationAlgorithm = 1; // (0: simple, 1: blossom, 2: simple full-quad, 3: blossom full-quad)
Mesh.RecombineAll = 1;

// meshing
Mesh  3;
RecombineMesh;
Coherence Mesh; // Remove duplicate vertices
// RefineMesh;

Mesh.Format = 2;  // save as unv
Mesh.SaveAll = 1; // Ignore Physical definitions and save all elements;
// Save "mesh.unv"; // or put "-save" on command line

