## Description
This is a test case of an eigenvalue problem for a simple RF hollow cavity. 
The cavity is a cuboid (x,y,z: 0.1m x 0.1m x 0.01m). All the six walls are perfect electric conductors.

Two solvers are tested here:
- EMWaveSolver,
- WhitneyAVHarmonicSolver.

10 eigenfrequencies are calculated. Everything in the MKSA units.  
I'm not very sure about the calculated spatial fields, although the calculated eigenfrequencies look correct.  

### How to run

1. `gmsh mesh.geo -save`
2. `Elmergrid 8 2 mesh.unv -scale 1e-3 1e-3 1e-3 -autoclean`
3. `Elmersolver run <emwave.sif or mgdyn.sif>`

### Environments  
OS   : Windows 11
Elmer: release-9.0
Gmsh : ver4.11.1

### Comments on results

- Almost identical eigenfrequencies are obtained from the two solvers, except a few numerical artifacts. They also match the theoretical predictions. 
- Although the calculated eigenfrequencies are well matched with the theoretical predictions, field values retrieved by "...ClacFields" solvers tend to be sensitive to parameters. Not very sure that calculated spatial fields distributions are unique to the correspoding eigenvalues. Some of the modes lead to higer L2 norms even if their eigenvalues match with theoretical predictions.  
- `Calculate Electric Field` option in WhitneyAV solver doesn't output the electric field. Also, apparently there is a bug outputting scalar potential "a". I'm not very sure how variable name works: what is "a" outputted by the solver? Whereas "A" means the magnetic vector potential in many cases, the outputted "a" here is a scalar function.
- What does a real/complex part of calculated fields mean, i.e., `Eigen vector component`. Should it be complex or real? In EMWaveSolver, the complex part of calculated electric fields are zero. In WhitneyAV, both the magnetic fields (or flux) and vector potentials are comlex vectors.  

Give me a feedback if you notice anything.  

Thank you, 

Tom
